# *****************************************************************************
#  Description : Makefile to build the Application Controller Plugins
#  Auteur      : Marc Simonetti
# *****************************************************************************

IMAGESBIN=images.plugin
VERSION_IMAGES=1

PHPPLUGIN=Images.php
TABLEPLUGIN=ImagesTable.php
SQLPLUGIN=Images.sql

RM=@rm -f
CP=@cp
CC=@gcc

ifdef INCLUDEDIR
INCLUDE=-I. -I../. -I $(INCLUDEDIR)
else
INCLUDE=-I. -I../.
endif

ifdef LIBDIR
LIBSDIR=-L. -L../. -L$(LIBDIR)
else
LIBSDIR=-L. -L../.
endif

ifdef BINDIR
BINSDIR=$(BINDIR)/Images
else
BINSDIR=./Images
endif


CFLAGS=-Wall -Wunused -g -O $(INCLUDE)
CC_OPT=-L.
LIBS=$(LIBSDIR) -liCommon -ldl
CLIBS=-shared

# *****************************************************************************
# Operations
%.o: %.c
	@echo "=== Compiling $@..."
	$(CC) -o $@ -c $< $(CFLAGS)

# *****************************************************************************
# Targets
all: $(IMAGESBIN)

clean:
	@echo -n "Cleaning... "
	$(RM) *.o $(IMAGESBIN)
	$(RM) -r $(BINSDIR)
	@echo "Ok"

install:

# *****************************************************************************
# Dependances
iPlugImage.o:       iPlugImage.c

# *****************************************************************************
# Edition de liens
$(IMAGESBIN):             iPlugImage.o
	                @echo "=== Linking $@..."
	                $(CC) -o $@ $^ $(CC_OPT) $(CLIBS) $(LIBS) -Wl,-soname,libiPlugImage.so.$(VERSION_IMAGE)
	                @if test ! -z "$(BINSDIR)";     \
					then                            \
                        mkdir -p $(BINSDIR) ;       \
						cp $@ $(BINSDIR)/$@ ;       \
                        cp $(PHPPLUGIN) $(BINSDIR)/$(PHPPLUGIN) ; \
                        cp $(SQLPLUGIN) $(BINSDIR)/$(SQLPLUGIN) ; \
                        cp $(TABLEPLUGIN) $(BINSDIR)/$(TABLEPLUGIN) ; \
					fi;
	                @echo "Done."
